- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cTopology::Node Class Reference

`#include <ctopo.h>`

List of all members.

## Detailed Description

Supporting class for cTopology, represents a node in the graph.

## Public Member Functions
Node attributes: weight, enabled state, correspondence to modules.
int | moduleId () const
cModule * | module () const
double | weight () const
void | setWeight (double d)
bool | enabled () const
void | enable ()
void | disable ()
Node connectivity.
int | inLinks () const
LinkIn * | in (int i)
int | outLinks () const
LinkOut * | out (int i)
Result of shortest path extraction.
double | distanceToTarget () const
int | paths () const
LinkOut * | path (int) const
## Friends
class | cTopology

## Member Function Documentation

void cTopology::Node::disable | ( |  | ) | `[inline]`

| Disable this node. This has significance with the shortest path finder methods of cTopology.

double cTopology::Node::distanceToTarget | ( |  | ) | const`[inline]`

| Returns the distance of this node to the target node.

void cTopology::Node::enable | ( |  | ) | `[inline]`

| Enable this node. This has significance with the shortest path finder methods of cTopology.

bool cTopology::Node::enabled | ( |  | ) | const`[inline]`

| Returns true of this node is enabled. This has significance with the shortest path finder methods of cTopology.

LinkIn* cTopology::Node::in | ( | int | i | ) |

| Returns ith incoming link of graph node.

int cTopology::Node::inLinks | ( |  | ) | const`[inline]`

| Returns the number of incoming links to this graph node.

cModule* cTopology::Node::module | ( |  | ) | const`[inline]`

| Returns the pointer to the network module to which this node corresponds.

int cTopology::Node::moduleId | ( |  | ) | const`[inline]`

| Returns the ID of the network module to which this node corresponds.

LinkOut* cTopology::Node::out | ( | int | i | ) |

| Returns ith outgoing link of graph node.

int cTopology::Node::outLinks | ( |  | ) | const`[inline]`

| Returns the number of outgoing links from this graph node.

LinkOut* cTopology::Node::path | ( | int |  | ) | const`[inline]`

| Returns the next link in the ith shortest paths towards the target node. (There might be several paths with the same lengths.)

int cTopology::Node::paths | ( |  | ) | const`[inline]`

| Returns the number of shortest paths towards the target node. (There might be several paths with the same lengths.)

void cTopology::Node::setWeight | ( | double | d | ) | `[inline]`

| Sets the weight of this node. Weight is used with the weighted shortest path finder methods of cTopology.

double cTopology::Node::weight | ( |  | ) | const`[inline]`

| Returns the weight of this node. Weight is used with the weighted shortest path finder methods of cTopology.

The documentation for this class was generated from the following file:

- ctopo.h